## SLUDGE Language Reference Manual

SLUDGE is by no means a small language. It's a strange hybrid of C++, Perl and JavaScript, with none of those irritating classes or strict variable types. So, what do you want to know about?

Variables

Functions (subs)

Loops and Conditionals

Object Types and Events

File Handling

Using Constants in SLUDGE

The Background Image

Scrolling Scenes

Using Audio in SLUDGE

The World's Easiest Load/Save Mechanism

Multiple Languages in a Single Game

### Quick reference:

Alphabetical List of Built-in Functions

Built-in Constants

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012